<?php 
    $loja_id = $_SESSION['loja'];
    if ($_SESSION['loja'] != 'todas') {

        $getUltimosLancamentos = mysqli_query($conn, "SELECT * FROM processos_iniciados WHERE loja_id = $loja_id ORDER BY id DESC LIMIT 9");

    } else {

        $getUltimosLancamentos = mysqli_query($conn, "SELECT * FROM processos_iniciados ORDER BY id DESC LIMIT 9");
    }
?>
<div class="content_c1">
    <div class="head_c1">
      	<img src="./utils/img/icons/lista-de-controle.svg" width="20"> <span>Últimas Solicitações</span>
    </div>
    <div class="body_c1">
    	<div class="table-responsive">
    		<table class="table table-bordered table-sm" style="text-align: center;">
    			<thead>
    				<tr>
    					<th>Data</th>
    					<th style="width: 100px;">Status</th>
    				</tr>
    			</thead>
    			<tbody>
                    <?php 
                    if (mysqli_num_rows($getUltimosLancamentos) > 0) {
                        while ($lista = mysqli_fetch_array($getUltimosLancamentos)) {
                            $id_processo = $lista['id'];
                            $status = [];
                            //pegar último processo desse lançamento
                            $getUltimoProcesso = mysqli_fetch_array(mysqli_query($conn, "SELECT id_processo FROM processos_gerenciamento WHERE id_processo_iniciado = '$id_processo' ORDER BY id DESC LIMIT 1"));
                            switch ($getUltimoProcesso['id_processo']) {
                                case 1:
                                case 2:
                                case 3:
                                case 4:
                                case 5:
                                case 6:
                                case 8:
                                $status = array("class"=>"bg-info","msg"=>"Andamento");
                                    break;
                                case 7:
                                    $status = array("class"=>"bg-success","msg"=>"Peças Vendidas");
                                    break;
                                case 9:
                                    $status = array("class"=>"bg-warning","msg"=>"Peças Guardadas");
                                    break;
                                case 10:
                                    $status = array("class"=>"bg-danger","msg"=>"Cancelado");
                                    break;
                                default:
                                    $status = array("class"=>"bg-default","msg"=>"Sem Informações");
                                    break;
                            }
                    ?>
    				<tr style="cursor: pointer;" onClick="popInfoSolicitacao(<?= $id_processo;?>)" data-toggle="modal" data-target="#modalInfo">
    					<td><?= date("d-m-Y H:i:s", strtotime($lista['data_cadastro']))?></td>
    					<td>
    						<label class="badge <?= @$status['class'];?>"><?= @$status['msg'];?></label>
    					</td>
    				</tr>
                    <?php }}?>
    			</tbody>
    		</table>
    	</div>
    </div>
    <div class="footer_c1">
    	<a href="lista_solicitacoes.php" target="_blank">Ver Mais...</a>
    </div>
</div>

<!--Informações do Lançamento-->
<div class="modal fade" id="modalInfo" tabindex="-1" role="dialog" aria-labelledby="modalInfodms" aria-hidden="true">
  <div class="modal-dialog" id="dg_body_timeline" style="max-width: 100% !important;" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalInfodms">Linha do Tempo da Solicitação</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="dg_body_timeline">

        <div id="info_lanc"></div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
      </div>
    </div>
  </div>
</div>
<!--/. Informações do Lançamento-->